import 'hi_bugly_platform_interface.dart';

class HiBugly {
  static Future<bool?> initialize({
    required String appID,
    bool debug = false,
  }) {
    return HiBuglyPlatform.instance.initialize(
      appID: appID,
      debug: debug,
    );
  }

  static postException({
    String name = '',
    String reason = '',
    String callStack = '',
    String extraInfo = '',
  }) {
    HiBuglyPlatform.instance.postException(
      name: name,
      reason: reason,
      callStack: callStack,
      extraInfo: extraInfo,
    );
  }
}
